import sys
sys.path.insert(0,"../Swig")

from rumdSimulation import rumdSimulation, rumd

print "File used to import the rumd module",rumd.__file__

# sample and simulation 
sim = rumdSimulation("start.xyz.gz")

#integrator
itg = rumd.IntegratorNVT(timeStep=0.0025, targetTemperature=0.5)


# Create LJ pair-potential
potential = rumd.Pot_LJ_12_6()
# Set up parameters for Lennard-Jones interactions ( Kob & Andersen )
# i  j   Sig   Eps  Rcut (in units of Sigma_ij)
potential.SetParams(0, 0, 1.00, 1.00, 2.5)
potential.SetParams(0, 1, 0.80, 1.50, 2.5)
potential.SetParams(1, 0, 0.80, 1.50, 2.5)
potential.SetParams(1, 1, 0.88, 0.50, 2.5)

sim.SetIntegrator(itg)
sim.SetPotential(potential)


sim.Run(1000)

pos = sim.sample.GetPositions() # get the positions as a numpy array
