
// This pair of typemaps allows you to use std::string& args

%typemap(in) const std::string & {
  if (PyString_Check($input)==0) { PyErr_SetString(PyExc_RuntimeError, "Arg was not a string."); return NULL; }
  $1 = new std::string(PyString_AsString($input));
 }


// This typemap cleans up the new() above.
%typemap(freearg) const std::string & {
	delete ($1);
 }


// This typemap allows you to return a std::string                              
%typemap(out) std::string, const std::string {
  $result = PyString_FromString($1.c_str());
 }
